//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SUNLevel1 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SUNLevel1"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNLevel1ID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="SUNLevel1Code" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SUNLevel1", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunLevel1ID",
    "sunLevel1Code",
    "term"
})
public class SUNLevel1 {

    @XmlElement(name = "SUNLevel1ID")
    protected int sunLevel1ID;
    @XmlElement(name = "SUNLevel1Code")
    protected String sunLevel1Code;
    @XmlElement(name = "Term")
    protected String term;

    /**
     * Gets the value of the sunLevel1ID property.
     * 
     */
    public int getSUNLevel1ID() {
        return sunLevel1ID;
    }

    /**
     * Sets the value of the sunLevel1ID property.
     * 
     */
    public void setSUNLevel1ID(int value) {
        this.sunLevel1ID = value;
    }

    /**
     * Gets the value of the sunLevel1Code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSUNLevel1Code() {
        return sunLevel1Code;
    }

    /**
     * Sets the value of the sunLevel1Code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSUNLevel1Code(String value) {
        this.sunLevel1Code = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

}
